<?php 

class FRMEngaraje extends AppFormulario {
	
	//protected $_url_traseditar=	'/servicio/index';
	
	public function init(){
		parent::init();
		$this->setAddClassFormHorizontal(true);
		// Accion
		$this->setAction('/servicio/engaraje/id/'.$this->getObjeto()->id);
		$this->_url_traseditar = '/servicio/estados/id/'.$this->getObjeto()->id;
		
		// Campos
		$kilometrosParkingLlegada = new EFNumero('kilometrosParkingLlegada');
		$ev = new EVFocus(AppEvento::APP_EVENTO_LOAD);
		$kilometrosParkingLlegada->addEvento($ev, true);
		$kilometrosParkingLlegada->setLabel('Kms');
		//$kilometrosParkingLlegada->setLabel('Km Llegada Parking:');
		$this->addElement($kilometrosParkingLlegada);
		
		$submit = new EFSubmit('guardar');
		$submit->setValue('Guardar');
		$this->addElement($submit);
		
		// Visual
		$fd = new VstFieldSet();
		$fd->addElement($kilometrosParkingLlegada);
		$fd->addElement($submit);
		$this->addElementoVista($fd);
		
	}

	public function __construct(Servicio $objeto){
		$this->_objeto = $objeto;
		parent::__construct();
	}
}